# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.


class AudioStreamSettings(object):

    def __init__(self, codec, bitrate, sampleRate=None, channels=None, comfortable=None):
        """
        :param codec:  音频编码。取值范围：aac 。目前仅支持 acc
        :param bitrate:  音频目标码率。取值范围：[8, 1000]，单位为 Kbps
        :param sampleRate: (Optional) 音频采样率。
若容器封装格式为 flv ，该字段为必须参数，其取值范围：22050、44100
若容器封装格式不为 flv ，则此字段为非必须参数，未设置时，与源文件音频采样率保持一致，若设置值，其取值范围：22050、24000、32000、44100、48000、64000、88200、96000

        :param channels: (Optional) 音频声道数。取值范围：1、2 。默认值为 2
        :param comfortable: (Optional) 是否开启舒适音频。取值范围：true、false，默认值为 true
        """

        self.codec = codec
        self.bitrate = bitrate
        self.sampleRate = sampleRate
        self.channels = channels
        self.comfortable = comfortable
